Mission = {

	Briefing = 0,
	Objective1  = 0,
	Objective2  = 0,
};


function Mission:OnInit()
	-- you may want to load a string-table etc. here...
	-- System:SetConsoleImage("levels/M04/loadingm04.jpg",0);
end


--------------------------------------------------------------------------------------------------------


function Mission:OnUpdate()
	local i;
	local bFinished=1;
	for i,objective in Mission do
		if (type(objective)~="function") then
			if (objective==0) then 
				bFinished=0;				
			else
			end
		end	
	end
	if (bFinished==1) then	
		self.Finish();
	end
end

--
function Mission:Event_DeadbodyCutscene()
	local Dummy=System:GetEntityByName("DeadBodyCutsceneDummy");
	local Deadbody=System:GetEntityByName("DeadBodyCutscene");
	if((Dummy)and(Deadbody))then
		System:LogToConsole("found 2");
		Deadbody:SetPos(new(Dummy:GetPos()));
		Deadbody:SetAngles(new(Dummy:GetAngles()));
	end
end
--

function Mission:Event_MissionFinished()
 	_localplayer.cnt:SavePlayerElements();
--	Game:SendMessage('StartLevelFade Boat');
--	Game:SendMessage('StartLevelFade Treehouse');
	Game:SendMessage('EndDemoQuit');   	
end

----------------------------------------------------------------------------
-- HudMessage

function Mission:Event_Message01_DoyleStart()
	-- Hud:AddMessage('Alright Jack, they usually take important ...',10);
	-- Hud:AddMessage('prisoners to the Bunker to the east side of this island.',10);
	-- Hud:AddMessage('Be careful,  by destroying that facility,...',10);
	-- Hud:AddMessage('you have created quite a stir around these parts. ',10);

	Hud:AddMessage(Localize("NewObjective"),10);
	Hud:PushObjective({},Localize("EnterTheResearch"));
	Hud:PushObjective({},Localize("EnterTheCave"));
	Hud:SetRadarObjective("MissionObjective_1");	 
	-- self.audio = Sound:LoadSound("LANGUAGES/missiontalk/research/research_specific_A_1.wav");
	-- Sound:PlaySound(self.audio);
end

function Mission:Event_KillShape()
	Hud:AddMessage(Localize("PlaceholderWarni"),10);
end

function Mission:Event_Message02_Reinforcement()
--	Hud:AddMessage('They called reinforcement!',10);
end

function Mission:Event_Message02_1_EnterCave()
--	Hud:AddMessage('Completed: Enter the cave',15);
	Hud:CompleteObjective(Localize("EnterTheCave")); 
	Hud:SetRadarObjective("nil");	 
end

function Mission:Event_Message03_LiftNotWorking()
--	Hud:AddMessage('The lift has no power.',10);
--	Hud:AddMessage('Looks like the power cable is broken!',10);
--	Hud:AddMessage('There must be an emergency generator somewhere.',10);
--	Hud:AddMessage('Objective: Find emergency generator and switch it on!',15);
	Hud:AddMessage(Localize("NewObjective"),10);
	Hud:PushObjective({},Localize("FindEmergencyGen"));	 
	Hud:AddMessage(Localize("ElevatorCannot"),10);
end

function Mission:Event_Message04_LiftWorking()
--	Hud:AddMessage('Okay! The generator is working now.',10);
--	Hud:AddMessage('You should take the lift up to the facility!',10);
--	Hud:AddMessage('Completed: Find emergency generator and switch it on!',15);
	Hud:CompleteObjective(Localize("FindEmergencyGen")); 
end

function Mission:Event_Message05_HardTime()
	-- Hud:AddMessage('Where are you?',10);
	-- Hud:AddMessage('I am having a hard time tracking your signal in that cave...',10);
--	self.audio = Sound:LoadSound("LANGUAGES/missiontalk/research/doyle2.wav");
--	Sound:PlaySound(self.audio);
end

function Mission:Event_Message06_LookLift()
	-- Hud:AddMessage('Just look for the lift...',10);
	-- Hud:AddMessage('that should get you to the research facility...',10);
	-- Hud:AddMessage('I still do not have a word on Vals whereabouts.',10);
	Hud:AddMessage(Localize("NewObjective"),10);
	Hud:PushObjective({},Localize("TakeTheLift"));
	Hud:SetRadarObjective("MissionObjective_2");	
	if (_localplayer) then 
		_localplayer.cnt:ShakeCameraL(0.1,8,2); 	
	end
--	self.audio = Sound:LoadSound("LANGUAGES/missiontalk/research/research_specific_C_3.wav");
--	Sound:PlaySound(self.audio);
end

function Mission:Event_Message07_TookLift()
--	Hud:AddMessage('Completed: Take the lift!',15);
	Hud:CompleteObjective(Localize("TakeTheLift")); 
end

function Mission:Event_Message08_KeyCard()
	Hud:AddMessage(Localize("YouNeedAKeycardT"),3);
end

----------------------------------------------------------------------------
-- InGame

function Mission:Event_Event03_LightOut()
--	Hud:AddMessage('Something happened. The earth shakes. Silence.',10);
end

function Mission:Finish()
end